---
title: List
url: https://www.tines.com/docs/api/apps/list/
updated: 2026-06-15T11:59:52+00:00
description: Retrieve a list of apps visible to the authenticated user.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Apps](https://www.tines.com/llm/docs/api/apps.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/apps/list/)*

## Description

Retrieve a list of apps visible to the authenticated user.

## Request

HTTP Method: **GET**

| Query Parameter | Description                                                                                         |
| --------------- | --------------------------------------------------------------------------------------------------- |
| per_page        | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page            | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/apps \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object containing an array of apps visible to the authenticated user.

### Field description

| Parameter         | Description                                                                                       |
| ----------------- | ------------------------------------------------------------------------------------------------- |
| id                | The app ID.                                                                                       |
| guid              | Unique identifier of the app.                                                                     |
| name              | The app name.                                                                                     |
| description       | A user-defined description of the app.                                                            |
| emoji             | The emoji associated with the app.                                                                |
| created_at        | ISO 8601 timestamp representing date and time the app was created.                                |
| updated_at        | ISO 8601 timestamp representing date and time the app was last updated.                           |
| team              | Object containing the `id` and `name` of the team the app belongs to.                             |
| published_version | Object containing the `id` of the published version, or `null` if the app has not been published. |

### Sample response

```json
{
  "apps": [
    {
      "id": 42,
      "guid": "abc123def456",
      "name": "Phishing triage",
      "description": "Triages reported phishing emails.",
      "emoji": "📧",
      "created_at": "2026-05-14T10:00:00Z",
      "updated_at": "2026-05-14T11:30:00Z",
      "team": { "id": 7, "name": "Security" },
      "published_version": { "id": 101 }
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/apps?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 1
  }
}
```
